=== debian/changelog ===
tuxmath (2.0.3-2) unstable; urgency=medium

  * debian/control:
    - Reformatted by 'cme fix dpkg'.
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
      remove build-dependency on dh-autoreconf.
    - Drop alternative dependency on ttf-sil-andika as that's already a
      transitional package in oldoldstable.
    - Replace suggests on ttf-wqy-zenhei | ttf-arphic-uming with ones on
      fonts-wqy-zenhei | fonts-arphic-uming for the same reason.
    - Drop Breaks and Replaces on tuxmath (<< 2.0.3) as that version is part
      of oldstable already.
  * debian/rules: call dh without --no-parallel and without
    "--with autoreconf" as debhelper compat 10 does those by default.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:15:45 +0200

tuxmath (2.0.3-1) unstable; urgency=low

  * New upstream release [May 2011] (Closes: #692729).
  * Build-Depends:
    + libt4k-common0-dev
    - hardening-wrapper
    + dh-autoreconf
  * Arch-independent files are separated to new "tuxmath-data" package.
  * Standards to 3.9.5.
  * Source to "3.0 (quilt)" format.
  * Compat to version 9 + debian/rules rewrite.
  * Build with "--as-needed" to minimise needless linking.
  * Install game binaries to "/usr/lib/tuxmath" and provide
    "/usr/games/tuxmath" symlink.
  * Added "debian/watch" file.
  * "debian/copyright: to copyright-format-1.0 + audit.
  * Updated man page and introduced target to invoke `help2man`.
  * Removed unnecessary versioned dependencies.
  * xz compression for source archive and binary (.deb) packages.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 03 Dec 2013 03:11:38 +1100

tuxmath (1.8.0-5) unstable; urgency=low

  * debian/rules: Build debhelper 9 style using hardening-wrapper.
  * debian/control:
    - Raise Build-Depends: to debhelper (>=9.20120909~) and add
      hardening-wrapper to it.
    - Bump standards version to 3.9.4.
    - Fix VCS-Browser URL.

 -- Holger Levsen <holger@debian.org>  Tue, 28 May 2013 23:50:54 +0200

tuxmath (1.8.0-4) unstable; urgency=low

  * debian/control:
    - update Vcs-Headers as tuxmath is now maintained in git. 
    - bump standards version to 3.9.2, no changes needed.
    - depend on either fonts-sil-andika or ttf-sil-andika (Closes: #647532).
      (To ease backporting.)
  * debian/copyright: mention location of upstream GIT repository, instead of
    svn.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Dec 2011 19:39:06 +0100

tuxmath (1.8.0-3) unstable; urgency=low

  * debian/menu: move to section Applications/Education. 

 -- Holger Levsen <holger@debian.org>  Mon, 21 Jun 2010 21:24:59 +0200

tuxmath (1.8.0-2) unstable; urgency=low

  * Make debian menu use the .xpm icon. 

 -- Holger Levsen <holger@debian.org>  Wed, 19 May 2010 14:07:08 +0200

tuxmath (1.8.0-1) unstable; urgency=low

  * New upstream release, featuring scalable vector graphics and support
    for multiplayer competition plus new translations to Asturian, Kurdish, 
    Slovenian and Vietnamese.
  * Add librsvg2-dev and libsdl-net1.2-dev to build-depends.
  * Add ${misc:Depends} to depends.
  * Use upstream SVG icon. (Closes: #531136)
  * Use upstream .desktop file. (Closes: #531137)
  * Bump standards version to 3.8.4, no changes needed.
  * Provide source/format and set it to 1.0.

 -- Holger Levsen <holger@debian.org>  Thu, 13 May 2010 10:57:27 +0200

tuxmath (1.7.2-1) unstable; urgency=low

  * New upstream version, with several bugfixes, new translations and lots of 
    other improvements: a new "Campaign Mode" featuring an overall story line,
    a new game activity, "Factoroids", teaching factorization and reduction of
    fractions, a more flexible engine for generating questions and an improved 
    fullscreen which now uses the native resolution. 
  * For a complete list, see the upstream changelog.
  * Drop debian/patches/100-ttf-sil-andika.patch and build dependency on
    quilt, as it was the only patch. 
  * Remove no-op dh_desktop from debian/rules. 
  * Bump Standards-version to 3.8.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 09 May 2009 16:35:13 +0200

tuxmath (1.6.3-3) unstable; urgency=low

  * Bump Standards-version to 3.8.0, no changes needed.
  * Add quilt to build-depends.
  * Patch the source to use 1.0 basic release of the ttf-sil-andika fonts and
    not the "design review" version.
  * Add information about AndikaDesRevG.ttf which is included in the upstream
    tarball and therefore in the debian source package to debian/copyright.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jun 2008 20:31:15 +0000

tuxmath (1.6.3-2) unstable; urgency=low

  * Add suggests to ttf-wqy-zenhei and remove suggests to ttf-arphic-ukai as
    suggested by native speakers.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jun 2008 10:18:36 +0000

tuxmath (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #479855) with 16 new translations, making it
    23 translations in total!

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jun 2008 15:02:28 +0000

tuxmath (1.6.1-1) unstable; urgency=low

  * new upstream version which adds French and Dutch translations as well as a
    new login system to keep track of individual student progress
  * updated to comply with policy 3.7.3.0
  * debian/copyright: remove a bogus line and clarify GPL-2 licence
  * increased debhelper compat level to 5
  * use dh_install as intended (with debian/tuxmath.install)
  * use dh_installdoc as intended (with debian/tuxmath.docs)
  * only call "make clean" if Makefile exits

 -- Holger Levsen <holger@debian.org>  Mon, 11 Feb 2008 18:50:54 +0100

tuxmath (1.5.8-2) unstable; urgency=low

  * add depends to ttf-sil-andika

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2007 20:02:34 +0100

tuxmath (1.5.8-1) unstable; urgency=low

  * new upstream version with many bugfixes, localisation, new icons, a new

