=== debian/control ===
Source: tuxmath
Maintainer: Holger Levsen <holger@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               librsvg2-dev,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-pango-dev,
               libsdl-ttf2.0-dev,
               libx11-6,
               libxext6,
               libt4k-common0-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/tux4kids/tuxmath.git
Vcs-Git: git://anonscm.debian.org/tux4kids/tuxmath.git
Homepage: http://tux4kids.alioth.debian.org

Package: tuxmath
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxmath-data (= ${source:Version})
Description: math game for kids with Tux
 "Tux, of Math Command" ("TuxMath," for short) is an
 educational arcade game starring Tux, the Linux mascot!
 Based on the classic arcade game "Missile Command," Tux
 must defend his cities. In this case, though, he must do
 it by solving math problems.

Package: tuxmath-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         fonts-sil-andika
Suggests: fonts-wqy-zenhei | fonts-arphic-uming
Description: math game for kids with Tux -- data files
 "Tux, of Math Command" ("TuxMath," for short) is an
 educational arcade game starring Tux, the Linux mascot!
 Based on the classic arcade game "Missile Command," Tux
 must defend his cities. In this case, though, he must do
 it by solving math problems.
 .
 This package provides arch-independent data files.
